#!/usr/bin/python2.3

import xml.dom.minidom
import urllib

def getText(nodelist):
	rc = ""
	for node in nodelist:
		if node.nodeType == node.TEXT_NODE:
			rc = rc + node.data
	return rc

def LocationLookup(zip=None):
	if zip == None:
		zip = '01852'

	URL = "http://ws.cdyne.com/psaddress/addresslookup.asmx/ReturnCityState?zipcode=%s&LicenseKey=" % (zip)
	dom = xml.dom.minidom.parse(urllib.urlopen(URL))

	tagsToGet = ('FromLatitude', 'FromLongitude', 'City', 'StateAbbrev')
	result = {}

	for tag in tagsToGet:
		try:
			result[tag] = getText(dom.getElementsByTagName(tag)[0].childNodes)
		except:
			pass


	return result
