#!/usr/bin/python2.3

import datetime
import xml.dom.minidom
import urllib

def getCurrent(station='KLWM'):
	forecastURLbase = "http://www.weather.gov/data/current_obs/%s.xml"
	url = forecastURLbase % (station)

	dom = xml.dom.minidom.parse(urllib.urlopen(url))

	dataNodes = dom.getElementsByTagName('current_observation')[0]
	results = {}

	for dataNode in dataNodes.childNodes:
		results[dataNode.nodeName] = getText(dataNode.childNodes)

	return results

def getText(nodelist):
	rc = ""
	for node in nodelist:
		if node.nodeType == node.TEXT_NODE:
			rc = rc + node.data
	return rc

print getCurrent()
